RowSetEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.sql, package: javax.sql, class: RowSetEvent
Keywords: javax.sql.RowSetEvent class

# Class RowSetEvent

java.lang.Object
java.util.EventObject
javax.sql.RowSetEvent

All Implemented Interfaces:
  `Serializable`

public class RowSetEvent extends EventObject
An `Event` object generated when an event occurs to a `RowSet` object. A `RowSetEvent` object is generated when a single row in a rowset is changed, the whole rowset is changed, or the rowset cursor moves.

When an event occurs on a `RowSet` object, one of the `RowSetListener` methods will be sent to all registered listeners to notify them of the event. An `Event` object is supplied to the `RowSetListener` method so that the listener can use it to find out which `RowSet` object is the source of the event.

Since:
  1.4
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowSetEvent(RowSet source)`
  Constructs a `RowSetEvent` object initialized with the given `RowSet` object.

- ## Method Summary

  ### Methods declared in class EventObject

  `getSource, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.
  `String`
  `toString()`
  Returns a String representation of this EventObject.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### RowSetEvent

    public RowSetEvent(RowSet source)
    Constructs a `RowSetEvent` object initialized with the given `RowSet` object.
    Parameters:
      `source` - the `RowSet` object whose data has changed or whose cursor has moved
    Throws:
      `IllegalArgumentException` - if `source` is null.